Subject: Re: [RFC 4/4] net: ppp_generic - introduce net-namespace functionality

From: Cyrill Gorcunov <[email-masked]>
Date: Sun, 11 Jan 2009 11:25:22 +0300

[Cyrill Gorcunov - Sun, Jan 11, 2009 at 10:46:52AM +0300]
| [Paul Mackerras - Sun, Jan 11, 2009 at 11:33:21AM +1100]
| | Cyrill Gorcunov writes:
| | 
| | > From: Cyrill Gorcunov <[email-masked]>
| | > Subecjt: [RFC] net: ppp_generic - introduce net-namespace functionality
| | > 
| | > - Each namespace contain ppp channels and units separately
| | >   with appropriate locks
| | 
| | This looks like a lot of uglification to me.  Why exactly do
| | individual network drivers need to know or care about namespaces?
| | 
| | Paul.
| | 
| 
| Unfortunately in the whole series ppp has been change more
| then others and it's looks ugly indeed that is why it was RFC.
| Namespaces imply isolation of data right? Including private
| data being 'user related' -- ie units passed to user in one
| namespace should not interfere with units passed to user in
| another namespace. So if I will not 'bind' units pool to
| namespaces it would be possible to steal unit from one namespace
| proposed for another namespace. Right?
| 
| 		- Cyrill -

Anyway, thanks for review -- I'll check if I could make this
series less 'ugly'. I just wanna hear what people think about
this series 'in general' (or maybe even test it [James, thanks!] :) --
since the series is RFC and not to include in any kind of tree.

		- Cyrill -